Enumerations

# ai_widget.h File Reference

Types related to the ai widgets. More...

`#include "../company_type.h"`
`#include "../textfile_type.h"`
`#include "../textfile_type.h"`

Go to the source code of this file.

## Enumerations
enum | AIListWidgets { WID_AIL_CAPTION, WID_AIL_LIST, WID_AIL_SCROLLBAR, WID_AIL_INFO_BG, WID_AIL_ACCEPT, WID_AIL_CANCEL }
| Widgets of the AIListWindow class. More...
enum | AISettingsWidgets { WID_AIS_CAPTION, WID_AIS_BACKGROUND, WID_AIS_SCROLLBAR, WID_AIS_ACCEPT, WID_AIS_RESET }
| Widgets of the AISettingsWindow class. More...
enum | AIConfigWidgets { WID_AIC_BACKGROUND, WID_AIC_DECREASE, WID_AIC_INCREASE, WID_AIC_NUMBER, WID_AIC_GAMELIST, WID_AIC_LIST, WID_AIC_SCROLLBAR, WID_AIC_MOVE_UP, WID_AIC_MOVE_DOWN, WID_AIC_CHANGE, WID_AIC_CONFIGURE, WID_AIC_CLOSE, WID_AIC_TEXTFILE, WID_AIC_CONTENT_DOWNLOAD = WID_AIC_TEXTFILE + TFT_END }
| Widgets of the AIConfigWindow class. More...
enum | AIDebugWidgets { WID_AID_VIEW, WID_AID_NAME_TEXT, WID_AID_SETTINGS, WID_AID_SCRIPT_GAME, WID_AID_RELOAD_TOGGLE, WID_AID_LOG_PANEL, WID_AID_SCROLLBAR, WID_AID_COMPANY_BUTTON_START, WID_AID_COMPANY_BUTTON_END = WID_AID_COMPANY_BUTTON_START + MAX_COMPANIES - 1, WID_AID_BREAK_STRING_WIDGETS, WID_AID_BREAK_STR_ON_OFF_BTN, WID_AID_BREAK_STR_EDIT_BOX, WID_AID_MATCH_CASE_BTN, WID_AID_CONTINUE_BTN }
| Widgets of the AIDebugWindow class. More...

## Detailed Description

Types related to the ai widgets.

Definition in file ai_widget.h.

## Enumeration Type Documentation

enum AIConfigWidgets

Widgets of the AIConfigWindow class.

Enumerator:

  WID_AIC_BACKGROUND | Window background.
  WID_AIC_DECREASE | Decrease the number of AIs.
  WID_AIC_INCREASE | Increase the number of AIs.
  WID_AIC_NUMBER | Number of AIs.
  WID_AIC_GAMELIST | List with current selected GameScript.
  WID_AIC_LIST | List with currently selected AIs.
  WID_AIC_SCROLLBAR | Scrollbar to scroll through the selected AIs.
  WID_AIC_MOVE_UP | Move up button.
  WID_AIC_MOVE_DOWN | Move down button.
  WID_AIC_CHANGE | Select another AI button.
  WID_AIC_CONFIGURE | Change AI settings button.
  WID_AIC_CLOSE | Close window button.
  WID_AIC_TEXTFILE | Open AI readme, changelog (+1) or license (+2).
  WID_AIC_CONTENT_DOWNLOAD | Download content button.

Definition at line 38 of file ai_widget.h.

enum AIDebugWidgets

Widgets of the AIDebugWindow class.

Enumerator:

  WID_AID_VIEW | The row of company buttons.
  WID_AID_NAME_TEXT | Name of the current selected.
  WID_AID_SETTINGS | Settings button.
  WID_AID_SCRIPT_GAME | Game Script button.
  WID_AID_RELOAD_TOGGLE | Reload button.
  WID_AID_LOG_PANEL | Panel where the log is in.
  WID_AID_SCROLLBAR | Scrollbar of the log pannel.
  WID_AID_COMPANY_BUTTON_START | Buttons in the VIEW.
  WID_AID_COMPANY_BUTTON_END | Last possible button in the VIEW.
  WID_AID_BREAK_STRING_WIDGETS | The panel to handle the breaking on string.
  WID_AID_BREAK_STR_ON_OFF_BTN | Enable breaking on string.
  WID_AID_BREAK_STR_EDIT_BOX | Edit box for the string to break on.
  WID_AID_MATCH_CASE_BTN | Checkbox to use match caching or not.
  WID_AID_CONTINUE_BTN | Continue button.

Definition at line 56 of file ai_widget.h.

enum AIListWidgets

Widgets of the AIListWindow class.

Enumerator:

  WID_AIL_CAPTION | Caption of the window.
  WID_AIL_LIST | The matrix with all available AIs.
  WID_AIL_SCROLLBAR | Scrollbar next to the AI list.
  WID_AIL_INFO_BG | Panel to draw some AI information on.
  WID_AIL_ACCEPT | Accept button.
  WID_AIL_CANCEL | Cancel button.

Definition at line 19 of file ai_widget.h.

enum AISettingsWidgets

Widgets of the AISettingsWindow class.

Enumerator:

  WID_AIS_CAPTION | Caption of the window.
  WID_AIS_BACKGROUND | Panel to draw the settings on.
  WID_AIS_SCROLLBAR | Scrollbar to scroll through all settings.
  WID_AIS_ACCEPT | Accept button.
  WID_AIS_RESET | Reset button.

Definition at line 29 of file ai_widget.h.